--==========================================================================================================================
-- USER SETTINGS (THIS IS NEEDED IN MOST CASES)
--==========================================================================================================================
-- JFD_GlobalUserSettings
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
JFD_GlobalUserSettings (
	Type 				text 			default null,
	Value 				integer 		default 1);
--==========================================================================================================================
-- Bingle's Civ IV Traits
--==========================================================================================================================
-- Leader_SharedTraits
------------------------------	
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);
     
INSERT OR REPLACE INTO Leader_SharedTraits
            (LeaderType,				TraitOne,                  TraitTwo)
SELECT      'LEADER_THP_OTTO_I',	'POLICY_CREATIVE_X',		'POLICY_IMPERIALISTIC_X'
WHERE EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
------------------------------	
-- Leaders
------------------------------	
UPDATE Leaders 
SET Description = 'Otto I [ICON_CULTURE][ICON_CITY_STATE]'
WHERE Type = 'LEADER_THP_OTTO_I'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================
-- GAZEBO COMMUNITY PATCH
--==========================================================================================================================
-- COMMUNITY
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
--==========================================================================================================================
-- GEDEMON R.E.D.
--==========================================================================================================================
-- Civilizations
--------------------------------------------------------------------------------------------------------------------------
UPDATE Civilizations 
SET ArtStyleSuffix = '_GERMANY'
WHERE Type = 'CIVILIZATION_THP_OTTONIAN'
AND EXISTS (SELECT * FROM Civilizations WHERE ArtStyleSuffix = '_GERMANY');
--==========================================================================================================================
-- GEDEMON's YNAEMP (+JFD's v23-25)
--==========================================================================================================================
-------------------------------------
-- Civilizations_YagemStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YagemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YagemStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	22,		70);
-------------------------------------
-- Civilizations_YahemStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YahemStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_YahemStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	63,		61);
-------------------------------------
-- Civilizations_GreatestEarthStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_GreatestEarthStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_GreatestEarthStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	49,		53);
-------------------------------------
-- Civilizations_CordiformStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_CordiformStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_CordiformStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	39,		32);
-------------------------------------
-- Civilizations_EuroLargeStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_EuroLargeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroLargeStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	37,		49);
-------------------------------------
-- Civilizations_EuroGiantStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_EuroGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroGiantStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	67,		67);
-------------------------------------
-- Civilizations_NorthAtlanticStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_NorthAtlanticStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthAtlanticStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	93,		38);
-------------------------------------
-- Civilizations_NorthWestEuropeStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_NorthWestEuropeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthWestEuropeStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	37,		17);
-------------------------------------
-- Civilizations_EuroLargeNewStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_EuroLargeNewStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroLargeNewStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	38,		47);
-------------------------------------
-- Civilizations_EuroEasternStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_EuroEasternStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EuroEasternStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	1,		34);
-------------------------------------
-- Civilizations_NorthSeaEuropeStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_NorthSeaEuropeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_NorthSeaEuropeStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	87,		11);
-------------------------------------
-- Civilizations_AtlanticGiantStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_AtlanticGiantStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_AtlanticGiantStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	156,		59);
-------------------------------------
-- Civilizations_EarthMk3StartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_EarthMk3StartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_EarthMk3StartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	21,		66);
-------------------------------------
-- Civilizations_GermanyHugeStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_GermanyHugeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_GermanyHugeStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	67,		33);
-------------------------------------
-- Civilizations_MediterraneanHugeStartPosition
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_MediterraneanHugeStartPosition(Type, X, Y, AltX, AltY);
INSERT INTO Civilizations_MediterraneanHugeStartPosition
		(Type,							X,		Y)
VALUES	('CIVILIZATION_THP_OTTONIAN',	28,		61);
-------------------------------------
-- Civilizations_YagemRequestedResource (Earth Giant)
-------------------------------------
CREATE TABLE IF NOT EXISTS Civilizations_YagemRequestedResource(Type, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
INSERT INTO Civilizations_YagemRequestedResource
		(Type, 							Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_THP_OTTONIAN',	Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YagemRequestedResource WHERE Type = 'CIVILIZATION_GERMANY';
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
-- ML_CivCultures
------------------------------	
CREATE TABLE IF NOT EXISTS ML_CivCultures (ID INTEGER PRIMARY KEY AUTOINCREMENT, CivType TEXT, CultureType TEXT, CultureEra TEXT DEFAULT 'ANY');
INSERT INTO ML_CivCultures
	(CivType,			CultureType, CultureEra)
SELECT	'CIVILIZATION_THP_OTTONIAN',	CultureType, CultureEra
FROM ML_CivCultures WHERE CivType = 'CIVILIZATION_GERMANY';
--==========================================================================================================================
-- JFD CIVILOPEDIA
--==========================================================================================================================
UPDATE Civilizations
SET DerivativeCiv = 'CIVILIZATION_GERMANY'
WHERE Type = 'CIVILIZATION_THP_OTTONIAN';
--==========================================================================================================================
-- JFD's CITIES IN DEVELOPMENT (10e9728f-d61c-4317-be4f-7d52d6bae6f4)
-- Please Note: it is NOT necessary to make any changes to this if you had supported Colony Names under the ExCE ID. 
-- You will only need to add support for Claims if you wish some of your Decisions to cost Dignitaries instead of Magistrates. Examples TBD.
--==========================================================================================================================
--==========================================================	
-- AMENITIES 
--==========================================================
-- Civilization_JFD_ClassNames
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_ClassNames (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 		default null,
	ClassType  			text 							default null,
	UniqueClassName			text 		 					default null);		

INSERT INTO Civilization_JFD_ClassNames
	(CivilizationType, 			ClassType,	UniqueClassName)
SELECT	'CIVILIZATION_THP_OTTONIAN', 		ClassType,	UniqueClassName
FROM Civilization_JFD_ClassNames WHERE CivilizationType = 'CIVILIZATION_GERMANY';
--==========================================================	
-- COLONIES 
--==========================================================	
-- Civilization_JFD_ColonialCityNames
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_ColonialCityNames (
	CivilizationType 		text 	REFERENCES Civilizations(Type) 		default null,
	ColonyName 			text						default null,
	LinguisticType			text						default	null,
	CultureType			text						default	null);

INSERT INTO Civilization_JFD_ColonialCityNames
		(CivilizationType, 			ColonyName,			LinguisticType)
VALUES	('CIVILIZATION_THP_OTTONIAN', 			null,				'JFD_Germanic');
------------------------------------------------------------		
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_DECOLONIZATION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
--A value of 0-10 may be set. This value determines the proclivity a civ has toward annexing a colony, where 0 means never, and 10 means as soon as possible.
INSERT INTO Leader_Flavors
		(LeaderType,	FlavorType,			Flavor)
VALUES	('LEADER_THP_OTTO_I',	'FLAVOR_JFD_DECOLONIZATION',	0);
--==========================================================	
-- PROVINCES 
--==========================================================	
-- Civilization_JFD_ProvinceTitles
------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_ProvinceTitles (
	CivilizationType  			text 		REFERENCES Civilizations(Type)  default null,
	ReligionType  				text 		REFERENCES Religions(Type) 	default null, -- ignore this
	DefaultTitle				text 						default null,
	UniqueTitle				text 						default null,
	UseAdjective				boolean						default 0);	

INSERT INTO Civilization_JFD_ProvinceTitles
	(CivilizationType,				DefaultTitle, UniqueTitle, UseAdjective)
SELECT	'CIVILIZATION_THP_OTTONIAN',	DefaultTitle, UniqueTitle, UseAdjective
FROM Civilization_JFD_ProvinceTitles WHERE CivilizationType = 'CIVILIZATION_GERMANY';
--==========================================================	
-- SLAVERY 
--==========================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_SLAVERY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,		Flavor)
VALUES	('LEADER_THP_OTTO_I',	'FLAVOR_JFD_SLAVERY',		2);
--==========================================================================================================================
-- JFD's CULTURAL DIVERSITY (31a31d1c-b9d7-45e1-842c-23232d66cd47)
--==========================================================================================================================
-- Civilization_JFD_CultureTypes
-------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_CultureTypes (
	CivilizationType 	text 	REFERENCES Civilizations(Type) 		default null,
	CultureType 		text						default null,
	ArtDefineTag		text						default	null,
	DefeatScreenEarlyTag	text						default	null,
	DefeatScreenMidTag	text						default	null,
	DefeatScreenLateTag	text						default	null,
	IdealsTag		text						default	null,
	SplashScreenTag		text						default	null,
	SoundtrackTag		text						default	null,
	UnitDialogueTag		text						default null);

INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,	ArtDefineTag, CultureType, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_THP_OTTONIAN',	ArtDefineTag, CultureType, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_GERMANY';
--==========================================================================================================================	
-- JFD's AND POUAKAI's MERCENARIES (a19351c5-c0b3-4b07-8695-4affaa199949)
--==========================================================================================================================
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_MERCENARY');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,			Flavor)
VALUES	('LEADER_THP_OTTO_I',		'FLAVOR_JFD_MERCENARY',		5);
--==========================================================================================================================	
-- JFD's RISE TO POWER (eea66053-7579-481a-bb8d-2f3959b59974)
--==========================================================================================================================	
-- PIETY
--==========================================================	
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_RELIGIOUS_INTOLERANCE'),
		('FLAVOR_JFD_STATE_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,				Flavor)
VALUES	('LEADER_THP_OTTO_I',	'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',		6),
	('LEADER_THP_OTTO_I',	'FLAVOR_JFD_STATE_RELIGION',			8);
--==========================================================	
-- PROSPERITY
--==========================================================
-- Civilization_JFD_Currencies
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Currencies (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 	default null,
	CurrencyType	  		text 		 				default null);

INSERT INTO Civilization_JFD_Currencies
		(CivilizationType,	CurrencyType)
SELECT	'CIVILIZATION_THP_OTTO_I',	CurrencyType
FROM Civilization_JFD_Currencies WHERE CivilizationType = 'CIVILIZATION_GERMANY';
--==========================================================	
-- INVENTIONS 
--==========================================================	
-- Civilization_JFD_Inventions
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Inventions (
	CivilizationType  		text 	REFERENCES Civilizations(Type) 				default null,
	InventionType  			text 		 						default null,
	InventionPreference		text 		 						default null);
	
INSERT INTO Civilization_JFD_Inventions
	(CivilizationType, 		InventionType, 			InventionPreference)
VALUES 	('CIVILIZATION_THP_OTTONIAN', 	'INVENTION_JFD_WRITING',	'WRITING_JFD_LATIN'),
	('CIVILIZATION_THP_OTTONIAN', 	'INVENTION_JFD_DOCTRINE',	'DOCTRINE_JFD_ROYALISM'),
	('CIVILIZATION_THP_OTTONIAN', 	'INVENTION_JFD_SOCIETY',	'SOCIETY_JFD_FREEMASONS');	
--==========================================================	
-- SOVEREIGNTY
--==========================================================
-- Civilization_JFD_Governments
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Governments (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 	default null,
	CultureType	  		text 						default null,
	LegislatureName			text						default	null,
	OfficeTitle			text						default	null,
	GovernmentType			text						default	null,
	Weight				integer						default	0);

INSERT INTO Civilization_JFD_Governments
		(CivilizationType,	LegislatureName, 	OfficeTitle, 	GovernmentType, 		Weight)
SELECT	'CIVILIZATION_THP_OTTONIAN',	LegislatureName, 	OfficeTitle, 	'GOVERNMENT_JFD_MONARCHY', 	100
FROM Civilization_JFD_Governments WHERE CivilizationType = 'CIVILIZATION_GERMANY';
------------------------------------------------------------
-- Civilization_JFD_Titles
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Titles (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 	default null,
	CultureType			text 		 				default null,
	ReligionType			text 		REFERENCES Religions(Type) 	default null,
	DefaultTitle			text 		 				default null,
	UniqueTitle			text 		 				default null,
	UseAdjective			boolean						default 0);	

INSERT INTO Civilization_JFD_Titles
		(CivilizationType,	DefaultTitle,	UniqueTitle)
SELECT	'CIVILIZATION_THP_OTTONIAN',	DefaultTitle,	UniqueTitle
FROM Civilization_JFD_Titles WHERE CivilizationType = 'CIVILIZATION_GERMANY';
------------------------------------------------------------
-- JFD_PrivyCouncillor_UniqueNames
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	JFD_PrivyCouncillor_UniqueNames (
	PrivyCouncillorType  			text 					default null,
	PolicyType  				text 	REFERENCES Policies(Type) 	default null,
	CivilizationType			text	REFERENCES Civilizations(Type) 	default	null,
	CultureType				text					default	null,
	GovernmentType  			text 	 				default null,
	ReligionType				text	REFERENCES Religions(Type) 	default	null,
	UniqueName				text					default	null);

INSERT INTO JFD_PrivyCouncillor_UniqueNames	
		(PrivyCouncillorType,	CivilizationType,	UniqueName)
SELECT	PrivyCouncillorType,	'CIVILIZATION_THP_OTTONIAN',	UniqueName
FROM JFD_PrivyCouncillor_UniqueNames WHERE CivilizationType = 'CIVILIZATION_GERMANY';
------------------------------------------------------------
-- Civilization_JFD_Politics
------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Civilization_JFD_Politics (
	CivilizationType  		text 		REFERENCES Civilizations(Type) 	default null,
	PoliticsType  			text 						default null,
	UniqueName			text						default	null);

INSERT INTO Civilization_JFD_Politics
	(CivilizationType,		PoliticsType, 	UniqueName)
SELECT	'CIVILIZATION_THP_OTTONIAN',	PoliticsType,	UniqueName
FROM Civilization_JFD_Politics WHERE CivilizationType = 'CIVILIZATION_GERMANY';
------------------------------------------------------------
-- Flavors
------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_LEGAL'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION');
------------------------------------------------------------
-- Leader_Flavors
------------------------------------------------------------
INSERT INTO Leader_Flavors
		(LeaderType,		FlavorType,				Flavor)
VALUES	('LEADER_THP_OTTO_I',		'FLAVOR_JFD_REFORM_GOVERNMENT',		9),
		('LEADER_THP_OTTO_I',	'FLAVOR_JFD_REFORM_LEGAL',		9),
		('LEADER_THP_OTTO_I',	'FLAVOR_JFD_REFORM_CULTURE',		2),
		('LEADER_THP_OTTO_I',	'FLAVOR_JFD_REFORM_ECONOMIC',		2),
		('LEADER_THP_OTTO_I',	'FLAVOR_JFD_REFORM_FOREIGN',		3),
		('LEADER_THP_OTTO_I',	'FLAVOR_JFD_REFORM_INDUSTRY',		8),
		('LEADER_THP_OTTO_I',	'FLAVOR_JFD_REFORM_MILITARY',		8),
		('LEADER_THP_OTTO_I',	'FLAVOR_JFD_REFORM_RELIGION',		7);
--==========================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS COMPLETE
--==========================================================================================================================
-- N/A (Catholicism is already in vanilla)
--==========================================================================================================================
-- EVENTS AND DECISIONS
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS DecisionsAddin_Support(FileName);

INSERT INTO DecisionsAddin_Support (FileName) VALUES ('Otto_Decisions.lua');

------------------
-- BuildingClasses
------------------
INSERT INTO BuildingClasses
        (Type,                            	DefaultBuilding,             		Description)
VALUES  ('BUILDINGCLASS_THP_OTTO_TRADE_ROUTE',  'BUILDING_THP_OTTO_TRADE_ROUTE',    'TXT_KEY_DECISIONS_THP_OTTONIAN_DUCHIES');
------------
-- Buildings
------------
INSERT INTO Buildings
	(Type,                      BuildingClass,                      NumTradeRouteBonus,	SpecialistCount, GreatWorkCount, Cost, FaithCost,         Description,                         Help,                                  NeverCapture)
VALUES  ('BUILDING_THP_OTTO_TRADE_ROUTE', 'BUILDINGCLASS_THP_OTTO_TRADE_ROUTE',	1,		0,               -1,             -1,	-1,               'TXT_KEY_DECISIONS_THP_OTTONIAN_DUCHIES',    'TXT_KEY_DECISIONS_THP_OTTONIAN_DUCHIES_ENACTED_DESC',   1);
--==========================================================================================================================
-- TROLLER ADDITIONAL ACHIEVEMENTS
--==========================================================================================================================
-- AdditionalAchievements_Mods
------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Mods (
	ID  				integer 	PRIMARY KEY		AUTOINCREMENT,
	Type				text					default	null,
	ModName				text					default null,
	ModID				text					default	null,	
	Authors				text					default	null);

INSERT INTO AdditionalAchievements_Mods
	(Type,		    ModName,			   ModID,			    Authors)
VALUES	('MOD_THP_OTTONIAN', 'TXT_KEY_MOD_THP_OTTONIAN_NAME', 'TXT_KEY_MOD_THP_OTTONIAN_ID_CFC', 'TXT_KEY_MOD_THP_OTTONIAN_AUTHORS');
-------------------------
-- AdditionalAchievements
-------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements (
	ID  			integer 	PRIMARY KEY		AUTOINCREMENT,
	Type			text					default	null,
	Achievopedia		text					default null,
	Header			text					default	null,	
	IconAtlas		text					default	null,	
	PortraitIndex		integer					default	0,
	ModType			text					default	null,	
	ModVersion		integer					default	0,
	Unlocked		boolean					default	0,
	LockedIconAtlas		text					default	'CIV_COLOR_ATLAS',
	LockedPortraitIndex	integer					default	23,
	UnlockSound		text					default	'AS2D_INTERFACE_ANCIENT_RUINS',
	PopupDuration		integer					default	-1,
	Hidden			boolean					default	0,
	HiddenBorder		boolean					default	0,
	RequiredCivWin		text					default	null,
	RequiredCivLoss		text					default	null,
	RequiredCivKill		text					default	null);

INSERT INTO AdditionalAchievements
		(Type,			Header,			Achievopedia,		ModType,	ModVersion,		RequiredCivWin,				IconAtlas,		PortraitIndex)
VALUES	('AA_THP_OTTONIAN_SPECIAL',	'TXT_KEY_AA_THP_OTTONIAN_SPECIAL_HEADER',	'TXT_KEY_AA_THP_OTTONIAN_SPECIAL_TEXT',	'MOD_THP_OTTONIAN',	1,				null,				'THP_OTTONIAN_ATLAS',	0),
		('AA_THP_OTTONIAN_VICTORY',	'TXT_KEY_AA_THP_OTTONIAN_VICTORY_HEADER',	'TXT_KEY_AA_THP_OTTONIAN_VICTORY_TEXT',	'MOD_THP_OTTONIAN',	1,				'CIVILIZATION_THP_OTTONIAN',	'THP_OTTONIAN_ATLAS',	0);
--==========================================================================================================================
--==========================================================================================================================