-- ======================================================================================================
-- ICON ATLASES
-- ======================================================================================================
-- IconTextureAtlases
---------------------
INSERT INTO IconTextureAtlases
(Atlas,                              IconSize,    Filename,                       IconsPerRow,     IconsPerColumn)
VALUES    ('THP_OTTONIAN_ATLAS',     256,        'THP_OttonianAtlas256.dds',        2,                 2),
('THP_OTTONIAN_ATLAS',               128,        'THP_OttonianAtlas128.dds',        2,                 2),
('THP_OTTONIAN_ATLAS',               80,         'THP_OttonianAtlas80.dds',         2,                 2),
('THP_OTTONIAN_ATLAS',               64,         'THP_OttonianAtlas64.dds',         2,                 2),
('THP_OTTONIAN_ATLAS',               45,         'THP_OttonianAtlas45.dds',         2,                 2),
('THP_OTTONIAN_ATLAS',               32,         'THP_OttonianAtlas32.dds',         2,                 2),
('THP_OTTONIAN_ALPHA_ATLAS',         128,        'THP_OttonianAlpha128.dds',        1,                 1),
('THP_OTTONIAN_ALPHA_ATLAS',         80,         'THP_OttonianAlpha80.dds',         1,                 1),
('THP_OTTONIAN_ALPHA_ATLAS',         64,         'THP_OttonianAlpha64.dds',         1,                 1),
('THP_OTTONIAN_ALPHA_ATLAS',         48,         'THP_OttonianAlpha48.dds',         1,                 1),
('THP_OTTONIAN_ALPHA_ATLAS',         32,         'THP_OttonianAlpha32.dds',         1,                 1),
('THP_OTTONIAN_ALPHA_ATLAS',         24,         'THP_OttonianAlpha24.dds',         1,                 1),
('THP_OTTONIAN_ALPHA_ATLAS',         16,         'THP_OttonianAlpha16.dds',         1,                 1),
('THP_UNIT_LEGIO_REGIA_FLAG_ATLAS',  32,         'Unit_LegioRegia_Flag_32.dds',     1,                 1);
-- ======================================================================================================
-- COLORS
-- ======================================================================================================
-- Colors
---------
INSERT INTO Colors
(Type,                                         Red,     Green,    Blue,     Alpha)
VALUES    ('COLOR_PLAYER_THP_OTTONIAN_ICON',   0.102,   0.078,    0.071,    1),
('COLOR_PLAYER_THP_OTTONIAN_BACKGROUND',       0.655,   0.573,    0.471,    1);
---------------
-- PlayerColors
---------------
INSERT INTO PlayerColors
          (Type,                              PrimaryColor,                                        SecondaryColor,                   TextColor)
VALUES    ('PLAYERCOLOR_THP_OTTONIAN',        'COLOR_PLAYER_THP_OTTONIAN_ICON',     'COLOR_PLAYER_THP_OTTONIAN_BACKGROUND',     'COLOR_PLAYER_WHITE_TEXT');
-- ======================================================================================================
-- UNIT ART
-- ======================================================================================================
-- ArtDefine_StrategicView
--------------------------
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 		    	     TileType,		 Asset)
VALUES	('ART_DEF_UNIT_THP_LEGIO_REGIA',		'Unit', 		'sv_legioregia.dds');
----------------------
-- ArtDefine_UnitInfos
----------------------
INSERT INTO ArtDefine_UnitInfos 
		(Type, 								    DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_THP_LEGIO_REGIA',			DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_SWORDSMAN';
--------------------------------
-- ArtDefine_UnitInfoMemberInfos
--------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
		(UnitInfoType,					     UnitMemberInfoType,				     NumMembers)
SELECT	'ART_DEF_UNIT_THP_LEGIO_REGIA', 	'ART_DEF_UNIT_MEMBER_THP_LEGIO_REGIA',	 NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_SWORDSMAN';
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
    (UnitMemberType,					EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_THP_LEGIO_REGIA',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax,   LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack,    HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat,  ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack,      AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_SWORDSMAN';
------------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
		(UnitMemberType,					        "Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_THP_LEGIO_REGIA',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_SWORDSMAN';
----------------------------
-- ArtDefine_UnitMemberInfos
----------------------------
INSERT INTO ArtDefine_UnitMemberInfos
(Type,                                              Scale,    ZOffset, Domain, Model,                         MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT    'ART_DEF_UNIT_MEMBER_THP_LEGIO_REGIA',    Scale,    ZOffset, Domain, 'Swordsman_German.fxsxml',    MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_SWORDSMAN';
-- ======================================================================================================
-- AUDIO
-- ======================================================================================================
-- Audio_Sounds
---------------
INSERT INTO Audio_Sounds 
		(SoundID, 									 Filename, 		  LoadType)
VALUES	('SND_LEADER_MUSIC_THP_OTTONIAN_PEACE', 	'Otto_Peace',    'DynamicResident'),
		('SND_LEADER_MUSIC_THP_OTTONIAN_WAR', 		'Otto_War', 	 'DynamicResident');
-----------------
-- Audio_2DSounds
-----------------
INSERT INTO Audio_2DSounds 
		(ScriptID, 										SoundID, 									SoundType, 		TaperSoundtrackVolume,	MinVolume, 	MaxVolume,  IsMusic, Looping)
VALUES	('AS2D_LEADER_MUSIC_THP_OTTONIAN_PEACE', 		'SND_LEADER_MUSIC_THP_OTTONIAN_PEACE', 		'GAME_MUSIC', 	-1.0,					100, 		100, 		1, 		 0),
		('AS2D_LEADER_MUSIC_THP_OTTONIAN_WAR', 			'SND_LEADER_MUSIC_THP_OTTONIAN_WAR', 		'GAME_MUSIC', 	-1.0,					100, 		100, 		1,		 0);


-- ======================================================================================================
-- ======================================================================================================
